package com.ym.library.config;

import android.graphics.Bitmap;

import java.util.List;

/**
 * NativeADWrapper 只用来约束内部广告返回行为
 * 真正的点击和展示监控回调,放到外部{@seeNativeAd}接口
 */
public interface NativeADWrapper {

    // 获取广告ID
    String getAdId();

    // 大图URL
    List<String> getAdImageUrl();

    // icon URL
    String getAdIconUrl();

    // 广告简介/内容
    String getAdContent();

    // 意向文案(立即下载/点击查看/了解更多)
    String getAdCallToAction();

    // String getAdBody();
    // 广告标题
    String getAdTitle();

    // 应用评分
    float getAdStarRating();

    // 广告来源,可选
    String getAdSource();

    // 判定广告是否有效
    boolean isValid();

    // 素材类型 - 针对元素有效
    int getAdMaterialType();

    // 广告类型
    int getAdActionType();

    // 广告logo
    Bitmap getSDKLogo();

    // 广告销毁
    void destroy();

    // 返回渠道类型
    int getAdChannelType();

    // 返回渠道名
    String getAdChannelName();

    // 返回原数据对象
    Object getOrgAdData();
}
